<?php
   $target='pagina';
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Ordenes/ordenes.php"); 

   $nombrepagina = "CONSULTA ".strtoupper($campo)." # ".strtoupper($valor);
   encabezado($target); 
   //$nombre_u=$nombre_usuario;
   //$pass=$password;
   $user=$_SESSION['validar'];
   //entrada($user,$_GET['id_user'],$_GET['suc']);
   $tamano_pagina=20;
   $_SESSION['tam']=$tamano_pagina;  
   $pagina = $_GET["pagina"];
			    if(!$pagina){
		        	$inicio=0;
					$_SESSION['inicio']=$inicio;
		        	$pagina=1;
		  		}else{
		            $inicio=($pagina-1)*$tamano_pagina;
					$_SESSION['inicio']=$inicio;
		  		}
     $filas=1;   
      if($filas == 1)
	{ 
	 //$conn=mysql_connect("localhost", "root", "1234");
	 //menu($id_user);
	 class llamado{
	 var $menuObj;
	 //var
	      function validar1($id_user,$id_sucursal){
	 			  $this->menuObj=new menu_inicio();
				  $this->menuObj->menu2($id_user,$id_sucursal);
	  	  }
	 }
	 $llamadoObj=new llamado();
	 $llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	 entrada($user,$_GET['id_user'],$_GET['suc']);
	 echo"</td>";	 
	 echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
		 //echo"<br><br>";
	 mostrar_cabeza_trabajo($nombrepagina);	 

$perfil=$_SESSION['perfil'];
if($perfil==0){
$add="WHERE g.$campo='".$valor."' ORDER BY g.orden DESC";
}else{
$add="WHERE g.$campo='".$valor."' ORDER BY g.orden DESC";//AND g.id_sucursal='".$suc."' 
}
$sql_consulta="SELECT g.guia, g.empresa, g.destinatario, g.direccion, g.telefono, g.ciudad ".
			"FROM $tabla as g ".
			"$add";

class filas{
	var $rowsobj;
		function cantidad($sql_consulta){
				$this->userObj=new select_zonas();
				$cant=$this->userObj->get_filas($sql_consulta);
				return $cant;
		}
}
$filasobj=new filas();
$cant=$filasobj->cantidad($sql_consulta);
//$filas=mysql_num_rows($rst_select_lotes);
$total_paginas= ceil($cant/$tamano_pagina);
?>
	<style type="text/css">
	td.comment{
  	padding:0pt;
  	padding-bottom:0pt;
  	margin:0pt;  
}

.comment{
	
	margin:0pt;	
	
	width:700px;
	height:auto !important;
  	overflow:scroll !important;

}

	</style>
<form action="" method="get" name="backup">
<CENTER>
  <table width="300" border="0" class="primaria">
    <tr class=miTable_tr>
      <td colspan="2" class=miTable_th1><div align="center">..:: Consulta de Guias ::..</div></td>
    </tr>
    <tr class="miTable_tr">
      <td width="150" class="miTable_td"><select name="select" class="inputbox">
          <option value="guia">GUIA</option>
          <option value="orden">ORDEN</option>
          <option value="empresa">EMPRESA</option>
          <option value="destinatario">DESTINATARIO</option>
          <option value="direccion">DIRECCION</option>
          <option value="identificacion">IDENTIFICACION</option>
          <option value="especial1">ESPECIAL 1</option>
          <option value="especial2">ESPECIAL 2</option>
          <option value="telefono">TELEFONO</option>
          <option value="ciudad">CIUDAD</option>
        </select>
      </td>
      <td width="200" class="miTable_td"><input type="text" name="valor2" class="inputbox">
          <input type="hidden" name="suc2" value="<? echo $_GET['suc'];?>" class="inputbox">
          <input type="hidden" name="id_user2" value="<? echo $_GET['id_user'];?>" class="inputbox">
          <input type="hidden" name="tabla2" value="<? echo $tabla;?>" class="inputbox">
      </td>
    </tr>
    <tr class=miTable_tr>
      <td class=miTable_th1 colspan="2"><div align="center">
          <input type="submit" name="Registrar" value="Consultar" class="inputbox">
      </div></td>
    </tr>
  </table>
  <table width="719" border="0" class="primaria">
<tr>
<td width="750" colspan="9" align="center">
<? echo "<FONT color='#F3250A'>CONSULTA RASTREO DE ".strtoupper($campo)." : </FONT><FONT color='#308DC7'>".strtoupper($valor)."</FONT>";?></td>
</tr>
<tr class=miTable_tr>
<td colspan="9" class=miTable_th1><div align="center">..:: Procesos Reenviar Devoluciones ::..</div></td>
</tr>
<tr class=miTable_tr>
<td colspan="9" class=miTable_th1>Cantidad de registros encontrados <? print $cant;?></td>
</tr>
</table>
<table border="0" width="720" class="primaria">
<tr class="miTable_tr">
<td width="38" valign=top class=miTable_th1>GUIA</td>
<td valign=top class=miTable_th1 width="113">DESTINATARIO</td>
<td valign=top class=miTable_th1 width="86">DIRECCION</td>
<td valign=top class=miTable_th1 width="81">TELEFONO</td>
<td valign=top class=miTable_th1 width="67">DESTINO</td>
<td valign=top class=miTable_th1 width="81">MENSAJERO</td>
<td valign=top class=miTable_th1 width="81">SUCURSAL</td>
<td width="75" valign=top class=miTable_th1>PLANILLA</td>
<td valign=top class=miTable_th1 width="71">EMPRESA</td>
<td valign=top class=miTable_th1 width="70">RASTREO</td>
</tr>
<?
	class elimina{
		  var $userObj;
		  function eliminar($valor,$campo,$tabla){
		  			$tamano_pagina=$_SESSION['tam'];
					$inicio=$_SESSION['inicio'];
		  		   $this->userObj=new select_zonas();
				   $this->userObj->lista_guias_consulta($inicio,$tamano_pagina,$_GET['suc'],$_GET['id_user'],$valor,$campo,$tabla);
		  }
	}
	$eliminaObj=new elimina();
	$eliminaObj->eliminar($valor,$campo,$tabla);
?>
</tr>
<tr class=miTable_tr>
<td class=miTable_td colspan="13">
<div align="center">
<?
$id_user=$_GET['id_user'];
$id_sucursal=$_GET['suc'];
if($total_paginas>1)
		{   echo "Paginas:";
			//echo "&nbsp;&nbsp;"; 
			$start = ( $pagina-5 > 0 ? $pagina-5  : 1 );
			if ($start > 1 ){
				print "&nbsp;<a href='ver_guia.php?pagina=".($start-1)."&id_user=$id_user&suc=$id_sucursal&campo=$campo&valor=$valor&tabla=$tabla'> << </A>";
			}
			for($i = 0; $i < 10 && $total_paginas >= $start+$i; $i++){
				if($pagina == $start+$i){
					print "&nbsp;&nbsp;".($start+$i); 
				}else{
					print "&nbsp;&nbsp;<a href='ver_guia.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&campo=$campo&valor=$valor&tabla=$tabla'>". ($start+$i)." </A>";
				}
		   	}
			if($start+$i < $total_paginas){
			    print "&nbsp;&nbsp;<a href='ver_guia.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&campo=$campo&valor=$valor&tabla=$tabla'> >> </A>";

			}
		 
			
		 } 
?></td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="13">
<DIV align="center">
Ir a la pagina
<input type='text' name='pagina' value='' size="5" class="inputbox">
<input type='hidden' name='id_user' value='<? echo $id_user?>'>
<input type='hidden' name='suc' value='<? echo $id_sucursal?>'>
<input type='hidden' name='campo' value='<? echo $campo?>'>
<input type='hidden' name='valor' value='<? echo $valor?>'>
<input type='hidden' name='tabla' value='<? echo $tabla?>'>
<input type='submit' name='' value='Ir' class="inputbox">
</DIV></td>
</tr>
</table>
</CENTER>

	 <?
	 mostrar_pie();
	} 
	 echo"</td>";
	echo"</tr>";   
   echo"</table>";     
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
    echo"<tbody><tr>";
      echo"<td></td>";
    echo"</tr>";
    echo"<tr>";
      echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
    echo"</tr>";
	echo"<tr>";
	?>
	 <td>
	  <center>
	  <? pie_de_pagina();?>
	  </center>
	 </td>
	<?php
    echo"</tr>";
  echo"</tbody></table>";

   echo"</center>";
   echo"</body>";
   echo"</html>";
 
?>
</center>
</form>